package com.sinosig.core.module.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import com.sinosig.util.ISearchFilter;
import com.sinosig.util.domain.DataObj;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.sinosig.util.SearchContext;
import com.sinosig.util.SearchFieldFilter;
import com.sinosig.util.enums.SearchFieldType;
import com.sinosig.util.enums.SearchGroupType;
import com.sinosig.util.SearchGroupFilter;
import lombok.Data;

/**
 * 关系型数据实体[SJZD] 查询条件对象
 */
@Data
public class SJZDSearchContext extends SearchContext {

	   public String n_sjzdname_like;//[数据字典名称]
       public void setN_sjzdname_like(String n_sjzdname_like) {
            this.n_sjzdname_like=n_sjzdname_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("sjzdname");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_sjzdname_like);
            this.getCondition().add(searchField);
       }

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String strQuery)
	{
		 this.query=strQuery;
         if(!org.springframework.util.StringUtils.isEmpty(strQuery)){
           SearchGroupFilter searchGroupFilter=new SearchGroupFilter();
           searchGroupFilter.setSearchGroupType(SearchGroupType.OR);

           SearchFieldFilter sjzdname=new SearchFieldFilter();
           sjzdname.setParam("sjzdname");
           sjzdname.setCondition(SearchFieldType.LIKE);
           sjzdname.setValue(strQuery);
           searchGroupFilter.getCondition().add(sjzdname);
        this.getCondition().add(searchGroupFilter);   

           
           
        }
	}
}
